extends layout

block content
  
  #add-post.mdl-card.mdl-shadow--4dp.mdl-cell.mdl-cell--12-col
    .mdl-card__media.mdl-card__post-add.mdl-color-text--primary-contrast
      h3#title #{title}
    .mdl-color-text--grey-700.mdl-card__supporting-text.meta
      .minilogo
      div
        strong#author #{author}
        span#date Now
      .section-spacer
    .mdl-color-text--primary-contrast.mdl-card__supporting-text.add-post
      form(name='addPost', action='/posts/add', method="post",  enctype="multipart/form-data")
      
        label(for='color')
          button#colorBtn.mdl-button.mdl-js-button.mdl-js-ripple-effect.mdl-button--icon(style='background-color: #424242')
            i.material-icons(role='presentation') brush
            input#color(name='color', type='color', value='#424242')
            
        .mdl-textfield.mdl-js-textfield.mdl-textfield--floating-label.title
          input#title-input.mdl-textfield__input(name='title', type='text', value=title, required)
          label.mdl-textfield__label(for='title-input') Title
          
        .mdl-textfield.mdl-js-textfield.mdl-textfield--floating-label.image
          input#uploadFile.mdl-textfield__input( placeholder='Post Image' type='text' disabled)
          label(for='uploadBtn')
            .mdl-button.mdl-button--primary.mdl-button--icon.mdl-button--file
              i.material-icons attach_file
          input#uploadBtn(name='mainimage', type='file')   
          
        .mdl-textfield.mdl-js-textfield.mdl-textfield--floating-label.getmdl-select.getmdl-select__fullwidth
          input#sample1.mdl-textfield__input(name='category', type='text', value='Science', readonly='', tabindex='-1')
          label.mdl-textfield__label(for='sample1') Category
          if categories
            ul.mdl-menu.mdl-menu--bottom-left.mdl-js-menu(for='sample1')
              each category, i in categories
                li.mdl-menu__item #{category.name}

        .mdl-textfield.mdl-js-textfield.mdl-textfield--floating-label.author
          input#author-input.mdl-textfield__input(name='author', type='text',value=author, required)
          label.mdl-textfield__label(for='author-input') Author
                
        .mdl-textfield.mdl-js-textfield.mdl-textfield--floating-label.content
          textarea#content.mdl-textfield__input(name='body',rows='6',value=body, required)
      button#add-post_btn.mdl-button.mdl-js-button.mdl-js-ripple-effect.mdl-button--icon
        i.material-icons(role='presentation') check
        span.visuallyhidden add comment
  script.
    var add_post_box = document.querySelector(".mdl-card__post-add");
    var now = new Date();
    var date_box = document.querySelector("#date");
    var monthNames = ["January", "February", "March", "April", "May", "June",
      "July", "August", "September", "October", "November", "December"
    ];
    
    var addPostBtn = document.querySelector("#add-post_btn");
    date_box.textContent = `${now.getDate()} ${monthNames[now.getMonth()]} ${now.getFullYear()}`;
    var uploadBtn = document.querySelector("#uploadBtn");
    var uploadFile = document.querySelector("#uploadFile");
    var colorBtn = document.querySelector("#colorBtn");
    var colorInput = document.querySelector("#color");
    var title = document.querySelector("#title");
    var titleInput = document.querySelector("#title-input");
    var author = document.querySelector("#author");
    var authorInput = document.querySelector("#author-input");
    
    addPostBtn.addEventListener('click', function(event){
      console.dir(document.addPost)
      document.addPost.submit();
    });
    
    authorInput.addEventListener('change', function() {
      author.textContent = this.value;
    });
    
    titleInput.addEventListener('click', function() {
      this.select();
    });
    
    titleInput.addEventListener('change', function() {
      title.textContent = this.value;
    })
    
    colorInput.addEventListener('change', function( event ) {
      title.style.color = this.value;
      colorBtn.style.backgroundColor = this.value;
    });

    uploadBtn.addEventListener('change', function( event ) {
      
      uploadFile.placeholder = this.files[0].name;
      var file = this.files[0];
      var reader = new FileReader();
      reader.onloadend = function(){
         add_post_box.style.height = '280px';
         add_post_box.style.backgroundImage = "url(" + reader.result + ")"; 
         app_post_box.style.height = "280px";       
      }
      if(file){
         reader.readAsDataURL(file);
       }else{
       }
    });
  script(src='/ckeditor/ckeditor.js')
  script
    | CKEDITOR.replace('body')
